[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Can't install WickrMe in new Whonix

Just downloaded and installed the latest Whonix today and tried to install WickrMe with snap according to the instructions. Worked fine for me in the past. Now getting this:

user@host:~$ sudo snap install wickrme
[sudo] password for user:
2020-09-11T14:28:49Z INFO snap “wickrme” has bad plugs or slots: audio-playback
(unknown interface “audio-playback”); audio-record (unknown interface
“audio-record”)
error: cannot perform the following tasks:

  • Setup snap “wickrme” (400) security profiles (cannot setup apparmor for snap “wickrme”: cannot unload apparmor profile: exit status 2
    apparmor_parser output:
    File snap-update-ns.wickrme not found, skipping…
    File snap.wickrme.wickrme not found, skipping…
    )
  • Setup snap “wickrme” (400) security profiles (cannot unload apparmor profile: exit status 2
    apparmor_parser output:
    File snap-update-ns.wickrme not found, skipping…
    File snap.wickrme.wickrme not found, skipping…
    )
  • Connect wickrme:gtk-3-themes to gtk-common-themes:gtk-3-themes (cannot setup apparmor for snap “wickrme”: cannot load apparmor profiles: exit status 10
    apparmor_parser output:
    terminate called after throwing an instance of ‘std::bad_alloc’
    what(): std::bad_alloc
    )
  • Connect wickrme:gtk-3-themes to gtk-common-themes:gtk-3-themes (cannot load apparmor profiles: exit status 10
    apparmor_parser output:
    terminate called after throwing an instance of ‘std::bad_alloc’
    what(): std::bad_alloc
    )

Whonix doesn’t produce WickrMe / snap. Therefore try reproduce and solve on Debian buster as per:

https://www.whonix.org/wiki/Free_Support_Principle

1 Like

Remove AppArmor from Whonix settings and try again?

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]